Path parameters
Section titled “Path parameters”-
id(string, path, required)The asset’s unique identifier (UUID).
Response
Section titled “Response”-
asset(object, required)The asset object.
Asset properties:
-
id(string, required)Unique asset identifier (UUID).
-
type(string, required)The asset type:
internal,external, orlicence. -
name(string | null)Display name of the asset.
-
filename(string | null)Filename derived from the uploaded file or URL.
-
external_url(string | null)The external URL for
externaltype assets.nullfor other types. -
content_type(string | null)MIME type of the asset.
-
byte_size(integer, required)File size in bytes.
0for external and licence assets. -
watermark_asset(boolean, required)Whether watermarking is enabled for this asset.
-
autogenerate_licence_key(boolean, required)Whether a licence key is auto-generated on purchase.
-
created_at(string, required)ISO 8601 timestamp of when the asset was created.
-
updated_at(string, required)ISO 8601 timestamp of when the asset was last updated.
-
Example request
curl -X GET 'https://app.filemonk.io/api/v1/external/assets/a1b2c3d4-e5f6-7890-abcd-ef1234567890' \ -H 'X-Auth-Token: fm_api_key_your_key_here'const assetId = 'a1b2c3d4-e5f6-7890-abcd-ef1234567890';const response = await fetch( `https://app.filemonk.io/api/v1/external/assets/${assetId}`, { headers: { 'X-Auth-Token': 'fm_api_key_your_key_here' } });const data = await response.json();asset_id = 'a1b2c3d4-e5f6-7890-abcd-ef1234567890'response = requests.get( f'https://app.filemonk.io/api/v1/external/assets/{asset_id}', headers={'X-Auth-Token': 'fm_api_key_your_key_here'})data = response.json()Example response
{ "asset": { "id": "a1b2c3d4-e5f6-7890-abcd-ef1234567890", "type": "external", "name": "Photoshop Brushes Pack", "filename": "brushes-pack-v2.zip", "external_url": "https://cdn.example.com/files/brushes-pack-v2.zip", "content_type": "application/zip", "byte_size": 0, "watermark_asset": false, "autogenerate_licence_key": false, "created_at": "2026-03-01T14:30:00Z", "updated_at": "2026-03-01T14:30:00Z" }}{ "error": "Asset not found"}Thanks for letting us know.
Still stuck? Ask Quinn or chat with support